Subject: Re: bug#8256: widget-complete does not complete for type 'directory on w32

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Mar 2011 10:48:42 -0400

> From: Lennart Borgman <[email-masked]>
> Date: Tue, 15 Mar 2011 14:08:33 +0100
> Cc: [email-masked]
> 
> On Tue, Mar 15, 2011 at 2:00 PM, Eli Zaretskii <[email-masked]> wrote:
> >
> > We are probably doing different things, because you didn't provide the
> > exact recipe for reproducing the problem.  Could you please give such
> > a recipe, starting with "emacs -Q"?
> 
> Is that really possible for such a simple thing?;-)

Yes, it is.  I was trying to reproduce this with a real defcustom
(archive-tmpdir, if you want to know), not with a fictitious
defcustom.

>   emacs -Q
>   Paste to *scratch* this code:
> 
>       (defcustom my-dir nil
>           "doc"
>          :type 'directory)
> 
>   Eval it.
>   M-x customize-option RET my-dir RET
> 
>   Place point in the directory value field and erase "nil" that is there.
>   Now in the empty directory value field press ESC-TAB (or do M-x
> widget-complete).
> 
> This fails for me with the message I gave before:
> 
> >   complete-symbol: No completions available; use M-x visit-tags-table
> > or M-x semantic-mode
> 
>   Write for example "c:/" in the field and try again. It fails the same way.

I see the same on GNU/Linux (except that "C:/" should be replaced with
a "/", of course).  So this is not w32-specific.